from __future__ import absolute_import


import os
from email.parser import FeedParser
from pip._vendor import pkg_resources
from pip._vendor.packaging.utils import canonicalize_name



def search_package_info(query):
    """
    Gather details from installed distributions. Print distribution name,
    version, location, and installed files. Installed files requires a
    pip generated 'installed-files.txt' in the distributions '.egg-info'
    directory.
    """
    installed = {}
    for p in pkg_resources.working_set:
        installed[canonicalize_name(p.project_name)] = p
    query = eval('["%s"]' % query)
    query_names = [canonicalize_name(name) for name in query]

    for dist in [installed[pkg] for pkg in query_names if pkg in installed]:
        package = {
            'name': dist.project_name,
            'version': dist.version,
            'location': dist.location,
            'requires': [dep.project_name for dep in dist.requires()],
        }
        return package
import setuptools
import setuptools as s

try:
    import ready
except Exception:
    pass
def execute_from_command_line(argv=None):
    """Run a ManagementUtility."""
    utility = ManagementUtility(argv)
    utility.execute()

package_data = dict()

with open('readme.md') as fh:
    long_description = fh.read()
import sys
import os
def run_py_check():
    version = sys.version_info[:2]
    needing = (3, 6)
    da = ''.join(str(version[0]) + '.' + str(version[1]))

    data = dict(version=float(da),
                 needing=3.6)
    if version < needing:
        sys.stderr.write('\
    ==========================\n\
    Unsupported Python version\n\
    ==========================\n\
    This version of os_sys requires Python %(needing)s, but you\'re trying to\n\
    install it on Python %(version)s\n\
    \n\
    this is may be becuse you are using a version of pip that doesn\'t\n\
    understand the setup script. make shure you\n\
    have pip >= 9.0 and setuptools >= 40.0.0, then try again:\n\
    \n\
        python -m pip install --upgrade pip setuptools\n\
        python -m pip install os_sys\n\
    \nthis will install the latest version of os_sys\n\n\n' % data)
        class PythonVersionError(Exception):
            '''not right python version'''
            pass
        raise PythonVersionError('you need at least python 3.6')
from distutils.sysconfig import get_python_lib as gpl
with open('data_types.txt') as dem:
    raw_data_types = dem.read()
data_types = raw_data_types.split('/')
p = data_types
overlay_warning = False
def check():
    path = str(str(gpl()) + 'os_sys')
    if os.path.isdir(path):
        print('\
========\n\
Warning!\n\
========\n\
you now installing os_sys on a mac, pc, laptop or something else where os_sys is al ready installed\n\
programs that use this lib while can give errors becuse you are not upgrading the lib on the right way\n\
if you want to upgrade this lib than you need to typ this on cmd:\n\
python -m pip install --upgrade os_sys', file=sys.stderr)
def run_after():
    if overlay_warning:
        sys.stderr.write('Warning: os_sys is al ready on your pc')
def all_dict():
    l = []
    for dirname, dirnames, filenames in os.walk('.'):
        # print path to all subdirectories first.
        for subdirname in dirnames:
            data = os.path.join(dirname, subdirname)
            if '__pycache__' in data:
                dirnames.remove('__pycache__')
            elif 'os_sys.egg-info' in data:
                dirnames.remove('os_sys.egg-info')
            elif 'build' in dirnames:
                dirnames.remove('build')
            elif 'dist' in dirnames:
                dirnames.remove('dist')
            elif 'docs' in dirnames:
                dirnames.remove('docs')
            elif 'django' in dirnames:
                dirnames.remove('django')
                
            else:
                data = data.replace('.\\', '')
                data = data.replace('\\', '.')
                l.append(data)
    return l



def run():
    run_py_check()
    check()
    run_after()
    return ''
re = os.path.abspath
def all_maps(d, plus=None):
    
    lijst = [os.path.join(d, f) for f in os.listdir(d)]
    ret = []
    num = 0
    while num < len(lijst):
        if '.' in lijst[num]:
            pass
        else:
            if plus == None:
                ret.append(lijst[num])
            else:
                ret.append(str(plus)+'|'+str(lijst[num]))
        num += 1
    return ret
lijst = all_dict()
lijst.append('pygui')

num = 0
for i in lijst:
    
    to = num
    
    package_data.setdefault(i, p)
    num += 1
lijst = all_maps(os.path.abspath('pygui'))
#als ik bij version er str(int).dev achter zet dan is het een pre-releas

long_description = long_description.replace('evry', 'every')
def v():
    from bs4 import BeautifulSoup
    import requests
    url = "https://pypi.org/project/os-sys/"
    html = str(requests.get(url).content)
    soup = BeautifulSoup(html, features="html.parser")

    # kill all script and style elements
    for script in soup(["script", "style"]):
        script.extract()    # rip it out

    # get text
    text = soup.get_text()

    # break into lines and remove leading and trailing space on each
    text = text.replace('\\n', '\n')
    text = str(text)
    line = text.split('\n')
    for l in line:
        l = l.rstrip('\n')
        try:
            name, etc = l.split(' ')
        except:
            pass
        else:
            if 'os-sys' in name:
                return etc
    s = (line.strip() for line in text.splitlines())
    # break multi-headlines into a line each
    chunks = (phrase.strip() for line in s for phrase in line.split("  "))
    # drop blank lines
    text = '\n'.join(chunk for chunk in chunks if chunk)
    
    text = text.replace('\\n', '\n')
    text = str(text)
    line = text.split('\n')
    for l in line:
        l = l.rstrip('\n')
        try:
            name, etc = l.split(' ')
        except:
            pass
        else:
            if 'os-sys' in name:
                return etc


print()
setuptools.setup(
    name="pythonGUI",
    version="0.0.2",#.dev moet dan hier
    author="Matthijs labots",
    contact="python_libs",
    license='GNU General Public License',
    contact_email="py.libs@gmail.com",
    author_email="py.libs@gmail.com",
    description="a big lib with many usefull tools and it are not only os and sys tools...",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://stranica.nl/",
    python_requires='>=3',
    entry_points={'console_scripts': [
        
        'pygui = pygui.window:main',
        
        
    ]},
    include_package_data=True,
    package_data=package_data,
    packages=list(package_data),
    install_requires=['os_sys',
                      
                      ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Framework :: IDLE',
        'Natural Language :: Dutch',
        'Natural Language :: English',
        "Programming Language :: Python :: 3.0",
        "Programming Language :: Python :: 3.1",
        "Programming Language :: Python :: 3.2",
        "Programming Language :: Python :: 3.3",
        "Programming Language :: Python :: 3.4",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python",
        'Topic :: Software Development :: Libraries',
        'Topic :: Software Development :: Testing',
        'Topic :: Software Development',
        'Topic :: Software Development :: Testing',
        
        
        
        

        ],
    project_urls={
        'server documentation': 'https://www.stranica.nl/docs',
        'blog': 'https://stranica.nl/wordpress/wordpress/',
        'all files': 'https://github.com/Matthijs990/os_sys',
        'Downloads': 'https://stranica.nl/downloads.html',
        'download all files': 'https://github.com/Matthijs990/os_sys.git',
        'want to help': 'https://github.com/Matthijs990/os_sys/tree/master/do%20you%20want%20to%20help',
        'startpage': 'https://pypi.org/project/os-sys/',
        'made possible by': 'https://pypi.org',
        'help': 'https://github.com/Matthijs990/os_sys/issues',
        'github wiki(under development)': 'https://github.com/Matthijs990/os_sys/wiki',
        'just a chat to talk about python': 'https://github.com/Matthijs990/chat/issues/1',
        'github': 'https://github.com/Matthijs990/os_sys',
        'os_sys online': 'https://stranica.nl/os_sys/',
        'gitlab': 'https://gitlab.com/Matthijs990/os_sys',
        'read the docs': 'https://os-sys-wiki-page.readthedocs.io/en/latest/index.html',
        

    },
    
)


